Bug 7102 - Не определяется монитор
: Не определяется монитор
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/hwdatabase)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-06-15 22:13 by
Modified: 2009-07-21 22:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-15 22:13:28
Видеокарта: NVIDIA GeForce GT6600 AGP
Мониор: 19'' NEC MultiSync 1970NX
> ddcprobe
vbe: VESA 3.0 detected.
oem: NVIDIA
vendor: NVIDIA Corporation
product: nv43 Board - 21812011 Chip Rev
memory: 131072kb
mode: 640x400x256
mode: 640x480x256
mode: 800x600x16
mode: 800x600x256
mode: 1024x768x16
mode: 1024x768x256
mode: 1280x1024x16
mode: 1280x1024x256
mode: 320x200x64k
mode: 320x200x16m
mode: 640x480x64k
mode: 640x480x16m
mode: 800x600x64k
mode: 800x600x16m
mode: 1024x768x64k
mode: 1024x768x16m
mode: 1280x1024x64k
mode: 1280x1024x16m
edidfail
------- Comment #1 From 2005-06-16 10:21:17 -------
Я правильно понимаю, что монитор TFT и подключен через DVI ?
edidfail утверждает что определить монитор не удалось ;-(
------- Comment #2 From 2005-06-16 10:40:33 -------
Sorry! Про подключение забыл написать - да это LCD подключенный
по DVI.
------- Comment #3 From 2005-06-16 11:27:36 -------
к сожалению используемый метод автоопределения мониторов не умеет детектить
через DVI.

Выход только один - развитие утилиты ddccontrol, которая в теории умеет
работать
с  DDC через прямой доступ к pci шине. Но пока эта утилита крайне сырая.
------- Comment #4 From 2005-06-16 20:53:03 -------
давай-ка я переоткрою, а ты закрой как LATER.  ну и Женя вроде там таким
интересовался... ;-)
------- Comment #5 From 2005-06-17 10:06:19 -------
Женя, если тебе это интересно - собери для начала ddccontrol. Я его посмотрел -
он какой-то странный внутри. В частности работа с ddcpci организована ну уж
совсем странным образом.

В принципе код для доступа к edid через i2c есть в ядерных и иксовых дровах.
остается только подсмотреть адреса.
------- Comment #6 From 2005-06-17 16:13:44 -------
Обязательно посмотрю... Мне сама идея пакета очень нравиться, постараюсь помочь
кодом мейнстриму, ну и приделать к чему-то полезному в Альте :)
------- Comment #7 From 2005-06-20 10:59:41 -------
Приделать к полезному - без проблем. Я использую в libhw библиотеку libvbe для
доступа к edid через VESA. В общем то достаточно или модифицировать libvbe (что
не совсем корректно), либо модифицировать код ddc в libhw для работы через
другие библиотеки в случае не успешной попытки получения EDID через VESA.
------- Comment #8 From 2009-07-21 22:54:34 -------
apparently WONTFIX (нынче это дело xorg)